<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>36. Superseded Modules &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="../_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="../about.html" />
    <link rel="copyright" title="Copyright" href="../copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="../contents.html" />
    <link rel="up" title="The Python Standard Library" href="index.html" />
    <link rel="next" title="36.1. optparse — Parser for command line options" href="optparse.html" />
    <link rel="prev" title="35.13. syslog — Unix syslog library routines" href="syslog.html" />
    <link rel="shortcut icon" type="image/png" href="../_static/py.png" />
    <script type="text/javascript" src="../_static/copybutton.js"></script>
    <script type="text/javascript" src="../_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="optparse.html" title="36.1. optparse — Parser for command line options"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="syslog.html" title="35.13. syslog — Unix syslog library routines"
             accesskey="P">previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">The Python Standard Library</a> &raquo;</li> 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="superseded-modules">
<span id="superseded"></span><h1>36. Superseded Modules<a class="headerlink" href="#superseded-modules" title="Permalink to this headline">¶</a></h1>
<p>The modules described in this chapter are deprecated and only kept for
backwards compatibility. They have been superseded by other modules.</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="optparse.html">36.1. <code class="docutils literal"><span class="pre">optparse</span></code> &#8212; Parser for command line options</a><ul>
<li class="toctree-l2"><a class="reference internal" href="optparse.html#background">36.1.1. Background</a><ul>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#terminology">36.1.1.1. Terminology</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#what-are-options-for">36.1.1.2. What are options for?</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#what-are-positional-arguments-for">36.1.1.3. What are positional arguments for?</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="optparse.html#tutorial">36.1.2. Tutorial</a><ul>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#understanding-option-actions">36.1.2.1. Understanding option actions</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#the-store-action">36.1.2.2. The store action</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#handling-boolean-flag-options">36.1.2.3. Handling boolean (flag) options</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#other-actions">36.1.2.4. Other actions</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#default-values">36.1.2.5. Default values</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#generating-help">36.1.2.6. Generating help</a><ul>
<li class="toctree-l4"><a class="reference internal" href="optparse.html#grouping-options">36.1.2.6.1. Grouping Options</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#printing-a-version-string">36.1.2.7. Printing a version string</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#how-optparse-handles-errors">36.1.2.8. How <code class="docutils literal"><span class="pre">optparse</span></code> handles errors</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#putting-it-all-together">36.1.2.9. Putting it all together</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="optparse.html#reference-guide">36.1.3. Reference Guide</a><ul>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#creating-the-parser">36.1.3.1. Creating the parser</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#populating-the-parser">36.1.3.2. Populating the parser</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#defining-options">36.1.3.3. Defining options</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#option-attributes">36.1.3.4. Option attributes</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#standard-option-actions">36.1.3.5. Standard option actions</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#standard-option-types">36.1.3.6. Standard option types</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#parsing-arguments">36.1.3.7. Parsing arguments</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#querying-and-manipulating-your-option-parser">36.1.3.8. Querying and manipulating your option parser</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#conflicts-between-options">36.1.3.9. Conflicts between options</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#cleanup">36.1.3.10. Cleanup</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#other-methods">36.1.3.11. Other methods</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="optparse.html#option-callbacks">36.1.4. Option Callbacks</a><ul>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#defining-a-callback-option">36.1.4.1. Defining a callback option</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#how-callbacks-are-called">36.1.4.2. How callbacks are called</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#raising-errors-in-a-callback">36.1.4.3. Raising errors in a callback</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#callback-example-1-trivial-callback">36.1.4.4. Callback example 1: trivial callback</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#callback-example-2-check-option-order">36.1.4.5. Callback example 2: check option order</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#callback-example-3-check-option-order-generalized">36.1.4.6. Callback example 3: check option order (generalized)</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#callback-example-4-check-arbitrary-condition">36.1.4.7. Callback example 4: check arbitrary condition</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#callback-example-5-fixed-arguments">36.1.4.8. Callback example 5: fixed arguments</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#callback-example-6-variable-arguments">36.1.4.9. Callback example 6: variable arguments</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="optparse.html#extending-optparse">36.1.5. Extending <code class="docutils literal"><span class="pre">optparse</span></code></a><ul>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#adding-new-types">36.1.5.1. Adding new types</a></li>
<li class="toctree-l3"><a class="reference internal" href="optparse.html#adding-new-actions">36.1.5.2. Adding new actions</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="imp.html">36.2. <code class="docutils literal"><span class="pre">imp</span></code> &#8212; Access the <code class="docutils literal"><span class="pre">import</span></code> internals</a><ul>
<li class="toctree-l2"><a class="reference internal" href="imp.html#examples">36.2.1. Examples</a></li>
</ul>
</li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="syslog.html"
                        title="previous chapter">35.13. <code class="docutils literal"><span class="pre">syslog</span></code> &#8212; Unix syslog library routines</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="optparse.html"
                        title="next chapter">36.1. <code class="docutils literal"><span class="pre">optparse</span></code> &#8212; Parser for command line options</a></p>
<h3>This Page</h3>
<ul class="this-page-menu">
  <li><a href="../bugs.html">Report a Bug</a></li>
  <li><a href="../_sources/library/superseded.txt"
         rel="nofollow">Show Source</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="optparse.html" title="36.1. optparse — Parser for command line options"
             >next</a> |</li>
        <li class="right" >
          <a href="syslog.html" title="35.13. syslog — Unix syslog library routines"
             >previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Standard Library</a> &raquo;</li> 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="../copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 08, 2016.
    <a href="../bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>